> ## Documentation Index
> Fetch the complete documentation index at: https://docs.trackstarhq.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Receive Inbound Shipment

> Receive an inbound shipment for the WMS connection with the associated inbound shipment id.



## OpenAPI

````yaml put /wms/inbound-shipments/{inbound_shipment_id}/receive
openapi: 3.1.0
info:
  description: >

    Trackstar is a Unified API that provides standard endpoints for Supply Chain
    Logistics. We currently offer an API for Warehouse Management Systems (WMS).
  title: Trackstar API
  version: 0.1.0
servers:
  - description: Trackstar API
    url: https://production.trackstarhq.com
security: []
tags: []
externalDocs:
  description: Trackstar API Documentation
  url: https://docs.trackstarhq.com
paths:
  /wms/inbound-shipments/{inbound_shipment_id}/receive:
    put:
      tags:
        - wms
        - Inbound Shipments
      summary: Receive Inbound Shipment
      description: >-
        Receive an inbound shipment for the WMS connection with the associated
        inbound shipment id.
      operationId: put_wms_create_receipt
      parameters:
        - in: path
          name: inbound_shipment_id
          schema:
            type: string
          required: true
        - in: header
          name: x-trackstar-api-key
          description: Your organization-level Trackstar API key.
          schema:
            type: string
            example: <x-trackstar-api-key>
          required: true
        - in: header
          name: x-trackstar-access-token
          description: >-
            Your user's access token for a specific integration (ShipHero,
            Extensiv, etc).
          schema:
            type: string
            example: <x-trackstar-access-token>
          required: true
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateReceiptwmsInboundShipmentInputSchema'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/wmsCreateReceiptInboundShipmentResponse'
          description: Successful response
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPError'
          description: Not found
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ValidationError'
          description: Validation error
components:
  schemas:
    CreateReceiptwmsInboundShipmentInputSchema:
      type: object
      properties: {}
      additionalProperties: false
      oneOf:
        - $ref: '#/components/schemas/CreateReceiptSchema--Base__Schema--'
        - $ref: >-
            #/components/schemas/CreateReceiptwmsInboundShipment--Extensiv__-_3PL__Central_---
        - $ref: '#/components/schemas/CreateReceiptwmsInboundShipment--WMS__Sandbox--'
        - $ref: >-
            #/components/schemas/CreateReceiptwmsInboundShipment--Linnworks__Core__-_SKUVault_---
      title: CreateReceiptwmsInboundShipmentInputSchema
    wmsCreateReceiptInboundShipmentResponse:
      type: object
      properties:
        data:
          $ref: '#/components/schemas/ReceiveInboundShipmentResponseDataSchema'
        id:
          type: string
          description: The ID of the object that has been created or modified
          example: id
        unused_fields:
          type: array
          description: Unused fields
          items:
            type: string
            description: ''
      required:
        - id
        - unused_fields
      additionalProperties: false
      title: wmsCreateReceiptInboundShipmentResponse
    HTTPError:
      properties:
        error:
          type: string
        id:
          type: string
          description: The ID of the item that wasn't found.
      required:
        - error
      type: object
      title: HTTPError
    ValidationError:
      properties:
        error:
          type: string
        detail:
          type: object
          properties:
            <location>:
              type: object
              properties:
                <field_name>:
                  type: array
                  items:
                    type: string
      required:
        - error
      type: object
      title: ValidationError
    CreateReceiptSchema--Base__Schema--:
      type: object
      properties:
        line_items:
          type: array
          description: List of line items included in the receiving event.
          example:
            - sku: item_id
              quantity: 1
          items:
            $ref: '#/components/schemas/CreateInboundReceiptLineItem'
        warehouse_location_id:
          type: string
          description: >-
            Location where the item is being received. Can be passed into the
            [Warehouse Location](/wms-api/warehouses/get-warehouse-locations)
            endpoint for more details.
          example: location
        warehouse_id:
          type: string
          description: >-
            ID of the warehouse that will be receiving the shipment. Can be
            passed into the
            [Warehouse](/api-reference/wms-api/warehouses/get-item) endpoint for
            more details.
          example: warehouse_id123
      required:
        - line_items
        - warehouse_id
        - warehouse_location_id
      additionalProperties: true
      title: Base Schema
    CreateReceiptwmsInboundShipment--Extensiv__-_3PL__Central_---:
      type: object
      properties: {}
      additionalProperties: false
      title: Extensiv (3PL Central)
    CreateReceiptwmsInboundShipment--WMS__Sandbox--:
      type: object
      properties:
        trackstar_tags:
          type:
            - array
            - 'null'
          description: >-
            A list of custom tags associated with the resource. A tag can be
            either a string or a dictionary with one key-value pair.
          example:
            - tag1
            - tag2
            - tag3: value3
          items: {}
        line_items:
          type: array
          description: List of line items included in the shipment.
          example:
            - sku: null
              quantity: 1
          items:
            $ref: >-
              #/components/schemas/WmsInboundShipmentCreateReceiptLineItemsandbox
      required:
        - line_items
      additionalProperties: false
      title: WMS Sandbox
    CreateReceiptwmsInboundShipment--Linnworks__Core__-_SKUVault_---:
      type: object
      properties:
        line_items:
          type: array
          description: List of line items included in the shipment.
          example:
            - sku: null
              quantity: 0
          items:
            $ref: >-
              #/components/schemas/WmsInboundShipmentWriteLineItemskuvaultReceipt
        supplier_object:
          $ref: '#/components/schemas/WriteSupplierSchema'
          description: The supplier from which the shipment is being sent.
        warehouse_location_id:
          type: string
          description: Location where the items are being received.
        warehouse_id:
          type: string
          description: >-
            ID of the warehouse that will be receiving the shipment. Can be
            passed into the
            [Warehouse](/api-reference/wms-api/warehouses/get-item) endpoint for
            more details.
          example: warehouse_id123
      required:
        - line_items
        - supplier_object
      additionalProperties: false
      title: Linnworks Core (SKUVault)
    ReceiveInboundShipmentResponseDataSchema:
      type: object
      properties:
        id:
          type: string
          description: The unique ID of the inbound shipment.
          example: inbound_id
        warehouse_customer_id:
          type:
            - string
            - 'null'
          description: >-
            The ID of the merchant/tenant/customer that owns the inbound
            shipment. Can be passed into the [Warehouse
            Customer](/api-reference/wms-api/warehouse-customers/get-item)
            endpoint for more details.
          example: warehouse_customer_id
        created_date:
          type: string
          format: date-time
          description: The date the inbound shipment was created.
          example: '2022-01-01T00:00:00Z'
        updated_date:
          type: string
          format: date-time
          description: The date the inbound shipment was last updated.
          example: '2022-01-02T05:05:05Z'
        purchase_order_number:
          type:
            - string
            - 'null'
          description: >-
            The number of the purchase order associated with the inbound
            shipment.
          example: po_number_123
        status:
          type: string
          enum:
            - open
            - in-transit
            - receiving
            - received
            - cancelled
            - other
          description: >-
            The status of the inbound shipment. See the [inbound shipment
            information](info) for more details.
          example: receiving
        raw_status:
          type:
            - string
            - 'null'
          description: The raw status (if available) returned directly from the WMS.
          example: raw_status
        supplier_object:
          anyOf:
            - $ref: '#/components/schemas/InboundShipmentSupplier'
            - type: 'null'
        expected_arrival_date:
          type:
            - string
            - 'null'
          format: date-time
          description: Date the shipment is expected to reach the warehouse.
          example: '2022-10-10T01:02:03Z'
        warehouse_id:
          type:
            - string
            - 'null'
          description: >-
            ID of the warehouse that will be receiving the shipment. Can be
            passed into the
            [Warehouse](/api-reference/wms-api/warehouses/get-item) endpoint for
            more details.
          example: warehouse_id123
        line_items:
          type: array
          description: List of line items included in the shipment.
          example:
            - inventory_item_id: item_id
              sku: sku
              expected_quantity: 2
              received_quantity: 1
              unit_cost: 1
              external_id: external_sku
          items:
            $ref: '#/components/schemas/WmsInboundShipmentLineItem'
        receipts:
          type: array
          description: List of receiving events associated with the inbound shipment.
          example:
            - id: receipt_id
              arrived_date: '2022-10-10T01:02:03Z'
              line_items:
                - inventory_item_id: item_id
                  sku: sku
                  quantity: 1
          items:
            $ref: '#/components/schemas/InboundReceipt'
        ship_from_address:
          $ref: '#/components/schemas/ShipFromAddress'
        tracking_numbers:
          type: array
          description: List of tracking numbers associated with the inbound shipment.
          example:
            - tracking_number_1
            - tracking_number_2
          items:
            type: string
            description: Tracking number
            example: tracking_number
        notes:
          type: array
          description: List of notes associated with the inbound shipment.
          example:
            - note_1
            - note_2
          items:
            type: string
            description: Note
            example: note
        external_system_url:
          type:
            - string
            - 'null'
          description: >-
            URL link to the inbound shipment in the external system (WMS/Freight
            etc).
          example: https://example.com/inboundshipment/123
        trackstar_tags:
          type:
            - array
            - 'null'
          description: >-
            A list of custom tags associated with the resource. A tag can be
            either a string or a dictionary with one key-value pair.
          example:
            - tag1
            - tag2
            - tag3: value3
          items: {}
        additional_fields:
          type: object
          description: Integration-specific fields
          example:
            key: value
          additionalProperties: {}
        trackstar_created_date:
          type: string
          format: date-time
          description: ''
        trackstar_updated_date:
          type: string
          format: date-time
          description: ''
      required:
        - additional_fields
        - created_date
        - expected_arrival_date
        - external_system_url
        - id
        - line_items
        - notes
        - purchase_order_number
        - raw_status
        - receipts
        - ship_from_address
        - status
        - supplier_object
        - tracking_numbers
        - trackstar_created_date
        - trackstar_tags
        - trackstar_updated_date
        - updated_date
        - warehouse_customer_id
        - warehouse_id
      additionalProperties: false
      title: ReceiveInboundShipmentResponseDataSchema
    CreateInboundReceiptLineItem:
      type: object
      properties:
        sku:
          type: string
          description: >-
            Can be passed into the
            [Inventory](/api-reference/wms-api/inventory/get-item) endpoint for
            more details.
          example: item_id
        quantity:
          type: integer
          description: Total quantity of the item that has been received.
          example: 1
      required:
        - quantity
        - sku
      additionalProperties: false
      title: CreateInboundReceiptLineItem
    WmsInboundShipmentCreateReceiptLineItemsandbox:
      type: object
      properties:
        sku:
          type: string
          enum:
            - N/A - Connect an account to see options
          description: ''
        quantity:
          type: integer
          description: ''
          example: 1
      required:
        - quantity
        - sku
      additionalProperties: false
      title: WmsInboundShipmentCreateReceiptLineItemsandbox
    WmsInboundShipmentWriteLineItemskuvaultReceipt:
      type: object
      properties:
        sku:
          type: string
          description: >-
            If you pass in an AlternateSKU, SkuVault will redirect it to the
            Primary SKU.
        quantity:
          type: integer
          description: ''
          example: 0
      required:
        - quantity
        - sku
      additionalProperties: false
      title: WmsInboundShipmentWriteLineItemskuvaultReceipt
    WriteSupplierSchema:
      type: object
      properties: {}
      additionalProperties: false
      oneOf:
        - $ref: '#/components/schemas/SupplierId'
        - $ref: '#/components/schemas/WriteSupplierName'
      discriminator:
        propertyName: type
        mapping:
          id:
            $ref: '#/components/schemas/SupplierId'
          name:
            $ref: '#/components/schemas/WriteSupplierName'
      title: WriteSupplierSchema
    InboundShipmentSupplier:
      type: object
      properties:
        supplier_id:
          type: string
          description: The ID of the supplier.
          example: supplier_id
        supplier_name:
          type:
            - string
            - 'null'
          description: The name of the supplier.
          example: supplier_name
      required:
        - supplier_id
        - supplier_name
      additionalProperties: false
      title: InboundShipmentSupplier
    WmsInboundShipmentLineItem:
      type: object
      properties:
        inventory_item_id:
          type: string
          description: >-
            Can be passed into the
            [Inventory](/api-reference/wms-api/inventory/get-item) endpoint for
            more details.
          example: item_id
        sku:
          type:
            - string
            - 'null'
          description: ''
          example: sku
        expected_quantity:
          type: integer
          description: Total quantity of the item expected to be received.
          example: 2
        received_quantity:
          type: integer
          description: Total quantity of the item that has been received.
          example: 1
        unit_cost:
          type:
            - number
            - 'null'
          description: The cost per product that is charged by the manufacturer.
          example: 1
        external_id:
          type:
            - string
            - 'null'
          description: >-
            An identifier from an external system. e.g. vendor sku, external id,
            reference number, etc..
          example: external_sku
      required:
        - expected_quantity
        - external_id
        - inventory_item_id
        - received_quantity
        - sku
        - unit_cost
      additionalProperties: false
      title: WmsInboundShipmentLineItem
    InboundReceipt:
      type: object
      properties:
        id:
          type: string
          description: The unique ID of the receiving event.
          example: receipt_id
        arrived_date:
          type: string
          format: date-time
          description: Date the items arrived.
          example: '2022-10-10T01:02:03Z'
        line_items:
          type: array
          description: List of line items included in the receiving event.
          example:
            - inventory_item_id: item_id
              sku: sku
              quantity: 1
          items:
            $ref: '#/components/schemas/InboundReceiptLineItem'
      required:
        - arrived_date
        - id
        - line_items
      additionalProperties: false
      title: InboundReceipt
    ShipFromAddress:
      type: object
      properties:
        address1:
          type:
            - string
            - 'null'
          description: ''
          example: 123 Main St
        address2:
          type:
            - string
            - 'null'
          description: ''
          example: Apt 2
        address3:
          type:
            - string
            - 'null'
          description: ''
          example: Floor 3
        city:
          type:
            - string
            - 'null'
          description: ''
          example: New York
        state:
          type:
            - string
            - 'null'
          description: ''
          example: NY
        postal_code:
          type:
            - string
            - 'null'
          description: ''
          example: '10001'
        country:
          type:
            - string
            - 'null'
          description: ''
          example: United States
      required:
        - address1
        - address2
        - address3
        - city
        - country
        - postal_code
        - state
      additionalProperties: false
      title: ShipFromAddress
    SupplierId:
      type: object
      properties:
        supplier_id:
          type: string
          description: The ID of the supplier.
          example: supplier_id
      required:
        - supplier_id
      additionalProperties: false
      title: SupplierId
    WriteSupplierName:
      type: object
      properties:
        supplier_name:
          type: string
          description: >-
            The name of the supplier. If supplier ID is provided, that will take
            precedence over this.
          example: supplier_name
      required:
        - supplier_name
      additionalProperties: false
      title: WriteSupplierName
    InboundReceiptLineItem:
      type: object
      properties:
        inventory_item_id:
          type: string
          description: >-
            Can be passed into the
            [Inventory](/api-reference/wms-api/inventory/get-item) endpoint for
            more details.
          example: item_id
        sku:
          type:
            - string
            - 'null'
          description: ''
          example: sku
        quantity:
          type: integer
          description: Total quantity of the item that has been received.
          example: 1
      required:
        - inventory_item_id
        - quantity
        - sku
      additionalProperties: false
      title: InboundReceiptLineItem

````